<template>
  <win-sm :title="setting.title" @close="close" :width="'800px'">
    <el-form ref="ruleForm" :model="formData" :rules="rules" class="demo-ruleForm" label-width="100px">
      <el-form-item label="盘点单名" prop="businessFormName">
        <el-input
          v-model="formData.businessFormName"
          clearable
          maxlength="20"
          style="width: 100%"
          placeholder="请输入"
        />
      </el-form-item>
      <el-form-item label="盘点仓库" prop="warehouseId">
        <el-select v-model="formData.warehouseId" placeholder="请选择" style="width: 100%">
          <el-option v-for="item in warehouseOptions" :key="item.id" :label="item.warehouseName" :value="item.id" />
        </el-select>
      </el-form-item>
      <el-form-item label="盘点人" prop="operatorId">
        <el-select v-model="formData.operatorId" placeholder="请选择" style="width: 100%">
          <el-option v-for="item in operatorOptions" :key="item.id" :label="item.warehouseName" :value="item.id" />
        </el-select>
      </el-form-item>
      <el-form-item label="监盘人" prop="operatorId2">
        <el-select v-model="formData.operatorId2" placeholder="请选择" style="width: 100%">
          <el-option v-for="item in operatorOptions" :key="item.id" :label="item.warehouseName" :value="item.id" />
        </el-select>
      </el-form-item>
      <el-form-item label="备注" prop="beiz1">
        <el-input
          type="textarea"
          placeholder="请输入内容"
          v-model="formData.beiz1"
          resize="none"
          maxlength="100"
          show-word-limit
        ></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" align="center" class="dialog-footer">
      <my-button name="取消" site="form" @click="close" />
      <my-button name="保存" site="form" @click="save" />
    </div>
  </win-sm>
</template>

<script>
import { selectTenantWarehouse } from '@/api/baseSetting/finsystenant';
import { inventoryAdd, inventoryEdit } from '@/api/stock/inventory';
import winSm from '@/components/win/win-sm';
import myButton from '@/components/myButton/myButton';
import {formatDate} from '@/utils/DateFormatter'

export default {
  components: { winSm, myButton },
  props: {
    setting: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {
      checkAll: false,
      checkedList: [],
      warehouseOptions: [], // 仓库列表
      operatorOptions:[],
      formData: {},
      rules: {
        businessFormName: [{ required: true, message: '请输入', trigger: 'blur' }],
        warehouseId: [{ required: true, message: '请选择', trigger: 'blur' }],
        operatorId: [{ required: true, message: '请选择', trigger: 'blur' }],
        operatorId2: [{ required: true, message: '请选择', trigger: 'blur' }],
      },
    };
  },
  created() {
    if (this.setting.info) {
      this.formData = Object.assign({}, JSON.parse(this.setting.info));
    }else {
      this.formData.businessFormName = formatDate(new Date(),'yyyy年MM月份盘点')
    }
    this.handleSelectTenantWarehouse();
    let temp = 
    this.formData.operatorId = '1109327915216504'
    this.formData.operatorId2 = '10990356630810'
  },
  methods: {
    // 获取仓库列表
    handleSelectTenantWarehouse() {
      selectTenantWarehouse().then((res) => {
        this.warehouseOptions = res;
      });
    },
    getEditInfo(id) {},
    close() {
      this.$emit('close');
    },
    save() {
      this.$refs.ruleForm.validate((valid) => {
        if (valid) {
          const params = Object.assign({}, this.formData);
          if (this.setting.id) {
            // 编辑接口
            inventoryEdit(params).then((res) => {
              if (res) {
                this.$message.success('保存成功！');
                this.close();
                this.$emit('search');
              } else {
                this.$message.error('保存失败');
              }
            });
          } else {
            inventoryAdd(params).then((res) => {
              if (res) {
                this.$message.success('保存成功！');
                this.close();
                this.$emit('search');
              } else {
                this.$message.error('保存失败');
              }
            });
          }
        } else {
          this.$message.error('校验未通过，请检查。');
        }
      });
    },
  },
};
</script>
